### Method

# Phosh DBusSensorProxyCompass get_has_compass

#### Declaration [src]

    gboolean
    phosh_dbus_sensor_proxy_compass_get_has_compass (
      PhoshDBusSensorProxyCompass* object
    )

#### Description [src]

Gets the value of the “HasCompass” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

This method is not directly available to language bindings.

Gets property | `Phosh.DBusSensorProxyCompass:has-compass`

#### Return value

Type: `gboolean`

The property value.